Subject: [Dime] M-bit setting in draft-ietf-dime-rfc4006bis-02

From: <[email-masked]>
Date: Mon, 17 Jul 2017 15:29:07 +0000

Hi,

Sorry for this late comment.

As stated in RFC6733,

   It is the decision of the protocol designer when to develop a new
   Diameter application rather than extending Diameter in other ways.
   However, a new Diameter application MUST be created when one or more
   of the following criteria are met:

   M-bit Setting

      An AVP with the M-bit in the MUST column of the AVP flag table is
      added to an existing Command/Application.  An AVP with the M-bit
      in the MAY column of the AVP flag table is added to an existing
      Command/Application.

Therefore, if it is proposed to keep the existing DCC application-id, the newly defined AVPs must be defined with the M-bit put in the MUST NOT column:

                                            +---------------+
                                            |AVP Flag rules |
                                            |----+-----+----|
                     AVP  Section           |    |     |MUST|
   Attribute Name    Code Defined Data Type |MUST| MAY |NOT |
   -----------------------------------------|----+-----+----|
   QoS-Final-Unit-  TBD17 8.68   Grouped    |    |  M  |  V |
     Indication                             |    |     |    |
   Redirect-Server  TBD13 8.64   Grouped    |    |  M  |  V |
     -Extension                             |    |     |    |
   Redirect-Address TBD14 8.65   Address    |    |  M  |  V |
     -IPAddress                             |    |     |    |
   Redirect-Address TBD15 8.66   UTF8String |    |  M  |  V |
     -URL                                   |    |     |    |
   Redirect-Address TBD16 8.67   UTF8String |    |  M  |  V |
     -SIP-URI                               |    |     |    |
   Subscription-Id  TBD7  8.58   Grouped    |    |  M  |  V |
     -Extension                             |    |     |    |
   Subscription-Id  TBD8  8.59   UTF8String |    |  M  |  V |
     -E164                                  |    |     |    |
   Subscription-Id  TBD9  8.60   UTF8String |    |  M  |  V |
     -IMSI                                  |    |     |    |
   Subscription-Id  TBD10 8.61   UTF8String |    |  M  |  V |
     -SIP-URI                               |    |     |    |
   Subscription-Id  TBD11 8.62   UTF8String |    |  M  |  V |
     -NAI                                   |    |     |    |
   Subscription-Id  TBD12 8.63   UTF8String |    |  M  |  V |
     -Private                               |    |     |    |
   User-Equipment   TBD1  8.52   Grouped    |    |  M  |  V |
     -Info-Extension                        |    |     |    |
   User-Equipment   TBD2  8.53   OctetString|    |  M  |  V |
     -Info-IMEISV                           |    |     |    |
   User-Equipment   TBD3  8.54   OctetString|    |  M  |  V |
     -Info-MAC                              |    |     |    |
   User-Equipment   TBD4  8.55   OctetString|    |  M  |  V |
     -Info-EUI64                            |    |     |    |
   User-Equipment   TBD5  8.56   OctetString|    |  M  |  V |
     -Info-ModifiedEUI64                    |    |     |    |
   User-Equipment   TBD6  8.57   OctetString|    |  M  |  V |

Now, regarding existing AVPs with the M-bit put in the MAY column (listed below), I would recommend not to use the MAY column but to specific in which DCC commands the M-bit setting may change for some AVP, as indicated in RFC6733 and RFC7423.

>From RFC6733:

      Note: The M-bit setting for a given AVP is relevant to an
      Application and each command within that application that includes
      the AVP.  That is, if an AVP appears in two commands for
      application Foo and the M-bit settings are different in each
      command, then there should be two AVP flag tables describing when
      to set the M-bit.

For AVPs for which there is no clear use case for change of the M-bit setting in the DCC app, the M-bit should be put in the MUST column. It may be the case for all the AVPs listed below (I've not checked). Other applications using DCC commands can decide to set or clear the M-bit of the related DCC commands' AVPs without any constraint.

                                            +---------------+
                                            |AVP Flag rules |
                                            |----+-----+----|
                     AVP  Section           |    |     |MUST|
   Attribute Name    Code Defined Data Type |MUST| MAY |NOT |
   -----------------------------------------|----+-----+----|
   CC-Correlation-Id 411  8.1    OctetString|    |  M  |  V |
   Service-Parameter 440  8.43   Grouped    |    |  M  |  V |
     -Info                                  |    |     |    |
   Service-          441  8.44   Unsigned32 |    |  M  |  V |
     Parameter-Type                         |    |     |    |
   Service-          442  8.45   OctetString|    |  M  |  V |
     Parameter-Value                        |    |     |    |
   User-Equipment    458  8.49   Grouped    |    |  M  |  V |
     -Info                                  |    |     |    |
   User-Equipment    459  8.50   Enumerated |    |  M  |  V |
     -Info-Type                             |    |     |    |
   User-Equipment    460  8.51   OctetString|    |  M  |  V |
     -Info-Value                            |    |     |    |
   User-Equipment   TBD1  8.52   Grouped    |    |  M  |  V |
     -Info-Extension                        |    |     |    |
   User-Equipment   TBD2  8.53   OctetString|    |  M  |  V |
     -Info-IMEISV                           |    |     |    |
   User-Equipment   TBD3  8.54   OctetString|    |  M  |  V |
     -Info-MAC                              |    |     |    |
   User-Equipment   TBD4  8.55   OctetString|    |  M  |  V |
     -Info-EUI64                            |    |     |    |
   User-Equipment   TBD5  8.56   OctetString|    |  M  |  V |
     -Info-ModifiedEUI64                    |    |     |    |
   User-Equipment   TBD6  8.57   OctetString|    |  M  |  V |
     -Info-IMEI                             |    |     |    |

Regards,

Lionel

De : Dave Dolson [mailto:[email-masked]]
Envoyé : jeudi 11 mai 2017 17:03
À : Gardella, Maryse (Nokia - FR/Nozay); MORAND Lionel IMT/OLN; Alan DeKok
Cc : [email-masked] list; [email-masked]
Objet : RE: RE : Re: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

I have uploaded version -03 with the agreed changes to simply replace the reference with RFC7542.
https://tools.ietf.org/html/draft-ietf-dime-rfc4006bis-03

From: Gardella, Maryse (Nokia - FR/Nozay) [mailto:[email-masked]]
Sent: Saturday, May 6, 2017 3:00 AM
To: Dave Dolson; [email-masked]<mailto:[email-masked]>; Alan DeKok
Cc: [email-masked]<mailto:[email-masked]> list; [email-masked]<mailto:[email-masked]>
Subject: RE: RE : Re: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Hi all,

Therefore it makes sense to do so.

Thanks
Maryse

From: Dave Dolson [mailto:[email-masked]]
Sent: vendredi 5 mai 2017 21:57
To: [email-masked]<mailto:[email-masked]>; Gardella, Maryse (Nokia - FR/Nozay) <[email-masked]<mailto:[email-masked]>>; Alan DeKok <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> list <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: RE : Re: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Lionel,
OK, thanks. I'll make the changes.

-Dave

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
Sent: Friday, May 5, 2017 3:42 PM
To: Dave Dolson; Gardella, Maryse (Nokia - FR/Nozay); Alan DeKok
Cc: [email-masked]<mailto:[email-masked]> list; [email-masked]<mailto:[email-masked]>
Subject: RE : Re: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Hi,

RFC 6733 was published before RFC 7542, obsoleting RFC 4282. It is why RFC 4282 was still used as reference in RFC 6733.
Using IETF rules, RFC 7242 should be used anyway for any Diameter implementation based on RFC 6733 and using NAI.
Therefore, when updating RFC 4006, RFC 7242 should be used as reference.

Regards,

Lionel
Le 5 mai 2017 20:05, Dave Dolson <[email-masked]<mailto:[email-masked]>> a écrit :
Maryse,
Thanks for doing some research and pointing this out.

In RFC 6733, RFC4282 is used for two things:
1. to define "Network Access Identifier", for use as realm names, which are "piggybacked on the administration of the DNS namespace"
- so DNS restrictions would have to apply here.

2. Defining User-Name AVP, which is a NAI, but specifically "of type UTF8String ... in a format consistent with the NAI specification [RFC4282]"
- (see section 8.14 of RFC6733)
- so User-Name is defined to be the UTF8 subset of RFC4282.

So I claim that although RFC4282 is mentioned, RFC6733 intends that user names in Diameter be limited to UTF-8, hence compatible with RFC7542.

-Dave

-----Original Message-----
From: Gardella, Maryse (Nokia - FR/Nozay) [mailto:[email-masked]]
Sent: Wednesday, May 3, 2017 10:37 AM
To: Dave Dolson; Alan DeKok
Cc: Yuval Lifshitz; jouni korhonen; [email-masked]<mailto:[email-masked]> list; [email-masked]<mailto:[email-masked]>
Subject: RE: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

My mistake, it should be RFC 6733
Maryse

-----Original Message-----
From: Dave Dolson [mailto:[email-masked]]
Sent: mercredi 3 mai 2017 16:19
To: Gardella, Maryse (Nokia - FR/Nozay) <[email-masked]<mailto:[email-masked]>>; Alan DeKok <[email-masked]<mailto:[email-masked]>>
Cc: Yuval Lifshitz <[email-masked]<mailto:[email-masked]>>; jouni korhonen <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]> list <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: RE: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

RFC4282 is also obsolete, and RFC7542 explains the problems with it.
I don't think we should introduce RFC4282 at this point.

(And sorry, I don't see RFC 6377 referring to 4282)

-----Original Message-----
From: Gardella, Maryse (Nokia - FR/Nozay) [mailto:[email-masked]]
Sent: Wednesday, May 3, 2017 9:21 AM
To: Alan DeKok; Dave Dolson
Cc: Yuval Lifshitz; jouni korhonen; [email-masked]<mailto:[email-masked]> list; [email-masked]<mailto:[email-masked]>
Subject: RE: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Hello all,

For the new AVP, no question: RFC 7542 should be used.
I have not the full overview of 3GPP specs used for reference to NAI, and based on:
- assuming the TS 23.003 (Numbering, addressing and identification) is an important spec to consider, the RFC 4282 is used
- RFC 6377 DBP also referring to RFC 4282

I would tend to agree on at least using RFC 4282 as the reference for the END_USER_NAI in Subscription-Id-Type for RFC4006bis.
Whether to directly refer to RFC7542, I cannot confirm whether this is acceptable or not.

BR
Maryse

-----Original Message-----
From: Alan DeKok [mailto:[email-masked]]
Sent: mercredi 3 mai 2017 00:47
To: Dave Dolson <[email-masked]<mailto:[email-masked]>>
Cc: Yuval Lifshitz <[email-masked]<mailto:[email-masked]>>; Gardella, Maryse (Nokia - FR/Nozay) <[email-masked]<mailto:[email-masked]>>; jouni korhonen <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]> list <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

On May 2, 2017, at 5:51 PM, Dave Dolson <[email-masked]<mailto:[email-masked]>> wrote:
>
> Thanks Alan.
> Do I correctly hear you saying we should replace all references to RFC 2486 with RFC 7542?

  Yes.

  It's 2017.  Independent of RFC 7542, *inter-operable* implementations just have no business using non-UTF8 identifiers.

  Alan DeKok.

_______________________________________________
DiME mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dime

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Dave Dolson <[email-masked]>
Date: Mon, 17 Jul 2017 16:05:42 +0000

Lionel,
Do you consider those to be errata against RFC4006 ?

From: [email-masked] [mailto:[email-masked]]
Sent: Monday, July 17, 2017 5:29 PM
To: Dave Dolson; Gardella, Maryse (Nokia - FR/Nozay); Alan DeKok
Cc: [email-masked] list; [email-masked]
Subject: M-bit setting in draft-ietf-dime-rfc4006bis-02

Hi,

As stated in RFC6733,

   M-bit Setting

                                            +---------------+
                                            |AVP Flag rules |
                                            |----+-----+----|
                     AVP  Section           |    |     |MUST|

                                            +---------------+
                                            |AVP Flag rules |
                                            |----+-----+----|
                     AVP  Section           |    |     |MUST|

Regards,

Lionel

Cc : [email-masked]<mailto:[email-masked]> list; [email-masked]<mailto:[email-masked]>

Hi all,

Thanks
Maryse

Lionel,

-Dave

Hi,

Regards,

Lionel

-Dave

-----Original Message-----
From: Gardella, Maryse (Nokia - FR/Nozay) [mailto:[email-masked]]
Sent: Wednesday, May 3, 2017 9:21 AM
To: Alan DeKok; Dave Dolson
Cc: Yuval Lifshitz; jouni korhonen; [email-masked]<mailto:[email-masked]> list; [email-masked]<mailto:[email-masked]>
Subject: RE: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Hello all,

BR
Maryse

-----Original Message-----
From: Alan DeKok [mailto:[email-masked]]
Sent: mercredi 3 mai 2017 00:47
To: Dave Dolson <[email-masked]<mailto:[email-masked]>>
Cc: Yuval Lifshitz <[email-masked]<mailto:[email-masked]>>; Gardella, Maryse (Nokia - FR/Nozay) <[email-masked]<mailto:[email-masked]>>; jouni korhonen <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]> list <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

  Yes.

  Alan DeKok.

Thank you.

Thank you.

---

From: <[email-masked]>
Date: Mon, 17 Jul 2017 21:47:01 +0000

Hi Dave,

Speaking about the existing AVPs, I don't think that we need a specific errata report on RFC4006 if it is what you meant.
I consider it more as a clarification on the M-bit setting included while revising the specification, based on requirements/guidelines provided after the publication of the RFC4006.
As it is, the MAY column is not wrong. It is just useless and it is why its use was deprecated.

Lionel

Le 17 juil. 2017 18:05, Dave Dolson <[email-masked]> a écrit :
Lionel,
Do you consider those to be errata against RFC4006 ?

Hi,

As stated in RFC6733,

   M-bit Setting

                                            +---------------+
                                            |AVP Flag rules |
                                            |----+-----+----|
                     AVP  Section           |    |     |MUST|

                                            +---------------+
                                            |AVP Flag rules |
                                            |----+-----+----|
                     AVP  Section           |    |     |MUST|

Regards,

Lionel

Hi all,

Thanks
Maryse

Lionel,
OK, thanks. I’ll make the changes.

-Dave

Hi,

Regards,

Lionel

-Dave

-----Original Message-----
From: Gardella, Maryse (Nokia - FR/Nozay) [mailto:[email-masked]]
Sent: Wednesday, May 3, 2017 9:21 AM
To: Alan DeKok; Dave Dolson
Cc: Yuval Lifshitz; jouni korhonen; [email-masked]<mailto:[email-masked]> list; [email-masked]<mailto:[email-masked]>
Subject: RE: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Hello all,

BR
Maryse

-----Original Message-----
From: Alan DeKok [mailto:[email-masked]]
Sent: mercredi 3 mai 2017 00:47
To: Dave Dolson <[email-masked]<mailto:[email-masked]>>
Cc: Yuval Lifshitz <[email-masked]<mailto:[email-masked]>>; Gardella, Maryse (Nokia - FR/Nozay) <[email-masked]<mailto:[email-masked]>>; jouni korhonen <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]> list <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

  Yes.

  Alan DeKok.

Thank you.

Thank you.

---

From: Yuval Lifshitz <[email-masked]>
Date: Wed, 19 Jul 2017 10:12:05 +0000

Lionel,
The AVPs newly added to RFC4006bis were not added to the MAY column because they are mandatory in some messages and not in other - reason was specifically to "workaround" the RFC6733 directive :-)

·         If an equipment that support RFC4006bis, works in a mixed environment, where RFC4006 also exist, it should not set the M-bit on the new AVPs, so that legacy equipment can just ignore them

·         While, if working in pure RFC4006bis environment, it can set the M-bit for the AVPs that replace existing AVPs that has the M-bit set for them

If this approach is not acceptable, we would have other 2 options:

1.       Say that the M-bit must be set - this would define a new protocol in RFC4006bis, which would, IMO, decrease the probability of adoption to zero :-(

2.       Say that the M-bit must not be set - this makes the new AVPs "weaker" as they may be ignored even if they carry critical information
So, if we have to change, I would go for (2).

Yuval

From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, July 18, 2017 12:47 AM
To: Dave Dolson; Gardella, Maryse (Nokia - FR/Nozay); Alan DeKok
Cc: [email-masked] list; [email-masked]
Subject: RE : RE: M-bit setting in draft-ietf-dime-rfc4006bis-02

Hi Dave,

Lionel
Le 17 juil. 2017 18:05, Dave Dolson <[email-masked]<mailto:[email-masked]>> a écrit :
Lionel,
Do you consider those to be errata against RFC4006 ?

Hi,

As stated in RFC6733,

   M-bit Setting

                                            +---------------+
                                            |AVP Flag rules |
                                            |----+-----+----|
                     AVP  Section           |    |     |MUST|

                                            +---------------+
                                            |AVP Flag rules |
                                            |----+-----+----|
                     AVP  Section           |    |     |MUST|

Regards,

Lionel

Hi all,

Thanks
Maryse

Lionel,

-Dave

Hi,

Regards,

Lionel

-Dave

-----Original Message-----
From: Gardella, Maryse (Nokia - FR/Nozay) [mailto:[email-masked]]
Sent: Wednesday, May 3, 2017 9:21 AM
To: Alan DeKok; Dave Dolson
Cc: Yuval Lifshitz; jouni korhonen; [email-masked]<mailto:[email-masked]> list; [email-masked]<mailto:[email-masked]>
Subject: RE: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

Hello all,

BR
Maryse

-----Original Message-----
From: Alan DeKok [mailto:[email-masked]]
Sent: mercredi 3 mai 2017 00:47
To: Dave Dolson <[email-masked]<mailto:[email-masked]>>
Cc: Yuval Lifshitz <[email-masked]<mailto:[email-masked]>>; Gardella, Maryse (Nokia - FR/Nozay) <[email-masked]<mailto:[email-masked]>>; jouni korhonen <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]> list <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Dime] [ALU] WGLC #1 for draft-ietf-dime-rfc4006bis-02

  Yes.

  Alan DeKok.

Thank you.

Thank you.

Thank you.